%define rh7x 1

Summary:        Web interface for CVS repositories
Name:           cvsweb
Version:        2.0.6
Release:        1
Epoch:          0
License:        BSD
Group:          Development/Tools
URL:            http://www.freebsd.org/projects/cvsweb.html
Source0:        http://people.freebsd.org/~scop/cvsweb/cvsweb-2.0.6.tar.gz
Patch0:         %{name}-redhat.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       rcs, cvs, perl
%if %{rh7x}
Requires:       apache
%else
Requires:       httpd
%endif

%description
Web interface for CVS repositories.

# -----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

# -----------------------------------------------------------------------------

%build
# Not needed.

# -----------------------------------------------------------------------------

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}{%{_var}/www/cgi-bin,%{_sysconfdir}/cvsweb}
cp -p cvsweb.cgi %{buildroot}%{_var}/www/cgi-bin
cp -p cvsweb.conf %{buildroot}%{_sysconfdir}/cvsweb

# -----------------------------------------------------------------------------

%clean
rm -rf %{buildroot}

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc ChangeLog README* TODO* INSTALL
%attr(0755,root,root) %{_var}/www/cgi-bin/*
%dir %{_sysconfdir}/cvsweb
%config(noreplace) %{_sysconfdir}/cvsweb/*

# -----------------------------------------------------------------------------

%changelog
* Fri Apr 16 2004 Peter Hanecak <hanecak@megaloman.sk> 0:2.0.6-1
- adapted to Doors Linux

* Mon Apr  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0.6-0.fdr.2
- Don't use "Powered by..." image by default (#22 comment 5).
- Remove spurious BuildRequires: perl.
- Conditionalize httpd vs apache dependency for easier deployment on RH7x.
- Save .spec in UTF-8.

* Sat Apr  5 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0.6-0.fdr.1
- Update to current Fedora guidelines.

* Sun Feb 23 2003 Ville Skyttä <ville.skytta at iki.fi> - 2.0.6-1.fedora.1
- First Fedora release.
